GCLOUD_PROJECTS_UPDATE(1)

NAME

gcloud projects update - update the name of a project

SYNOPSIS

gcloud projects update PROJECT_ID --name NAME [GLOBAL-FLAG ...]

DESCRIPTION
Updates the given project with new name. This command can fail for the following reasons:

    •   There is no project with the given ID.

    •   The active account does not have Owner or Editor permissions for the given project.

POSITIONAL ARGUMENTS
PROJECT_ID
    ID for the project you want to update.

REQUIRED FLAGS
--name NAME
    New name for the project.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
The following command updates a project with the ID example-foo-bar-1 to have the name "Foo Bar and Grill":
    $ gcloud projects update example-foo-bar-1 --name="Foo Bar and Grill"